<?php

function mytheme_customize_register( $wp_customize ) {
   //All our sections, settings, and controls will be added here

$wp_customize->add_panel( 'options', array(
  'title' => __( 'Options' ),
//'description' => $description, // Include html tags such as <p>.
  'priority' => 1, // Mixed with top-level-section hierarchy.
) );


$wp_customize->add_section( 'header' , array(
    'title'      => __( 'Header', 'mytheme' ),
    'priority'   => 1,
    'panel'      => 'options',
) );


$wp_customize->add_setting( 'header_bgcolor' , array(
    'default'     => '#000000',
    'transport'   => 'refresh',
    'sanitize_callback' => 'sanitize_hex_color',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'header_bgcolor', array(
	'label'        => __( 'Header Color', 'mytheme' ),
	'type'         => 'color',
	'section'      => 'header',
	'settings'     => 'header_bgcolor',
) ) );


















}
add_action( 'customize_register', 'mytheme_customize_register' );


function mytheme_customize_css()
{
    ?>
         <style type="text/css">

             .header { background:<?php echo get_theme_mod('header_bgcolor', '#000000'); ?>!important; }


         </style>
    <?php
}
add_action( 'wp_head', 'mytheme_customize_css');